Index: /LMDZ6/branches/Amaury_dev/libf/misc/ismin.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/ismin.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/ismin.F	(revision 5082)
@@ -14,5 +14,5 @@
       DO i=1,n-1
          ix=ix+incx
-         if(sx(ix).lt.sxmin) then
+         if(sx(ix)<sxmin) then
              sxmin=sx(ix)
              ismin=i+1
Index: /LMDZ6/branches/Amaury_dev/libf/misc/juldate.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/juldate.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/juldate.F	(revision 5082)
@@ -18,10 +18,10 @@
 	    year=dble(ian)
 	    rmon=dble(imoi)
-	if (imoi .le. 2) then
+	if (imoi <= 2) then
 	    year=year-1.
 	    rmon=rmon+12.
 	endif
 	cf=year+(rmon/100.)+(ojou/10000.)
-	if (cf .ge. 1582.1015) then
+	if (cf >= 1582.1015) then
 	    a=int(year/100)
 	    b=2-a+int(a/4)
Index: /LMDZ6/branches/Amaury_dev/libf/misc/pchdf.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/pchdf.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/pchdf.F	(revision 5082)
@@ -72,5 +72,5 @@
 C
 C***FIRST EXECUTABLE STATEMENT  PCHDF
-      IF (K .LT. 3)  GO TO 5001
+      IF (K < 3)  GO TO 5001
 C
 C  COMPUTE COEFFICIENTS OF INTERPOLATING POLYNOMIAL.
Index: /LMDZ6/branches/Amaury_dev/libf/misc/pchfe.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/pchfe.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/pchfe.F	(revision 5082)
@@ -143,8 +143,8 @@
       IF (SKIP)  GO TO 5
 C
-      IF ( N.LT.2 )  GO TO 5001
-      IF ( INCFD.LT.1 )  GO TO 5002
+      IF ( N<2 )  GO TO 5001
+      IF ( INCFD<1 )  GO TO 5002
       DO 1  I = 2, N
-         IF ( X(I).LE.X(I-1) )  GO TO 5003
+         IF ( X(I)<=X(I-1) )  GO TO 5003
     1 CONTINUE
 C
@@ -152,5 +152,5 @@
 C
     5 CONTINUE
-      IF ( NE.LT.1 )  GO TO 5004
+      IF ( NE<1 )  GO TO 5004
       IERR = 0
       SKIP = .TRUE.
@@ -164,10 +164,10 @@
 C     SKIP OUT OF LOOP IF HAVE PROCESSED ALL EVALUATION POINTS.
 C
-         IF (JFIRST .GT. NE)  GO TO 5000
+         IF (JFIRST > NE)  GO TO 5000
 C
 C     LOCATE ALL POINTS IN INTERVAL.
 C
          DO 20  J = JFIRST, NE
-            IF (XE(J) .GE. X(IR))  GO TO 30
+            IF (XE(J) >= X(IR))  GO TO 30
    20    CONTINUE
          J = NE + 1
@@ -177,5 +177,5 @@
 C
    30    CONTINUE
-         IF (IR .EQ. N)  J = NE + 1
+         IF (IR == N)  J = NE + 1
 C
    40    CONTINUE
@@ -184,5 +184,5 @@
 C     SKIP EVALUATION IF NO POINTS IN INTERVAL.
 C
-         IF (NJ .EQ. 0)  GO TO 50
+         IF (NJ == 0)  GO TO 50
 C
 C     EVALUATE CUBIC AT XE(I),  I = JFIRST (1) J-1 .
@@ -192,12 +192,12 @@
      *              NJ, XE(JFIRST), FE(JFIRST), NEXT, IERC)
 C       ----------------------------------------------------------------
-         IF (IERC .LT. 0)  GO TO 5005
-C
-         IF (NEXT(2) .EQ. 0)  GO TO 42
+         IF (IERC < 0)  GO TO 5005
+C
+         IF (NEXT(2) == 0)  GO TO 42
 C        IF (NEXT(2) .GT. 0)  THEN
 C           IN THE CURRENT SET OF XE-POINTS, THERE ARE NEXT(2) TO THE
 C           RIGHT OF X(IR).
 C
-            IF (IR .LT. N)  GO TO 41
+            IF (IR < N)  GO TO 41
 C           IF (IR .EQ. N)  THEN
 C              THESE ARE ACTUALLY EXTRAPOLATION POINTS.
@@ -212,10 +212,10 @@
    42    CONTINUE
 C
-         IF (NEXT(1) .EQ. 0)  GO TO 49
+         IF (NEXT(1) == 0)  GO TO 49
 C        IF (NEXT(1) .GT. 0)  THEN
 C           IN THE CURRENT SET OF XE-POINTS, THERE ARE NEXT(1) TO THE
 C           LEFT OF X(IR-1).
 C
-            IF (IR .GT. 2)  GO TO 43
+            IF (IR > 2)  GO TO 43
 C           IF (IR .EQ. 2)  THEN
 C              THESE ARE ACTUALLY EXTRAPOLATION POINTS.
@@ -229,5 +229,5 @@
 C              FIRST, LOCATE FIRST POINT TO LEFT OF X(IR-1).
                DO 44  I = JFIRST, J-1
-                  IF (XE(I) .LT. X(IR-1))  GO TO 45
+                  IF (XE(I) < X(IR-1))  GO TO 45
    44          CONTINUE
 C              NOTE-- CANNOT DROP THROUGH HERE UNLESS THERE IS AN ERROR
@@ -241,5 +241,5 @@
 C              NOW FIND OUT HOW FAR TO BACK UP IN THE X-ARRAY.
                DO 46  I = 1, IR-1
-                  IF (XE(J) .LT. X(I)) GO TO 47
+                  IF (XE(J) < X(I)) GO TO 47
    46          CONTINUE
 C              NB-- CAN NEVER DROP THROUGH HERE, SINCE XE(J).LT.X(IR-1).
@@ -261,5 +261,5 @@
    50 CONTINUE
       IR = IR + 1
-      IF (IR .LE. N)  GO TO 10
+      IF (IR <= N)  GO TO 10
 C
 C  NORMAL RETURN.
Index: /LMDZ6/branches/Amaury_dev/libf/misc/pchsp.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/pchsp.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/pchsp.F	(revision 5082)
@@ -162,8 +162,8 @@
 C
 C***FIRST EXECUTABLE STATEMENT  PCHSP
-      IF ( N.LT.2 )  GO TO 5001
-      IF ( INCFD.LT.1 )  GO TO 5002
+      IF ( N<2 )  GO TO 5001
+      IF ( INCFD<1 )  GO TO 5002
       DO 1  J = 2, N
-         IF ( X(J).LE.X(J-1) )  GO TO 5003
+         IF ( X(J)<=X(J-1) )  GO TO 5003
     1 CONTINUE
 C
@@ -171,11 +171,11 @@
       IEND = IC(2)
       IERR = 0
-      IF ( (IBEG.LT.0).OR.(IBEG.GT.4) )  IERR = IERR - 1
-      IF ( (IEND.LT.0).OR.(IEND.GT.4) )  IERR = IERR - 2
-      IF ( IERR.LT.0 )  GO TO 5004
+      IF ( (IBEG<0).OR.(IBEG>4) )  IERR = IERR - 1
+      IF ( (IEND<0).OR.(IEND>4) )  IERR = IERR - 2
+      IF ( IERR<0 )  GO TO 5004
 C
 C  FUNCTION DEFINITION IS OK -- GO ON.
 C
-      IF ( NWK .LT. 2*N )  GO TO 5007
+      IF ( NWK < 2*N )  GO TO 5007
 C
 C  COMPUTE FIRST DIFFERENCES OF X SEQUENCE AND STORE IN WK(1,.). ALSO,
@@ -188,12 +188,12 @@
 C  SET TO DEFAULT BOUNDARY CONDITIONS IF N IS TOO SMALL.
 C
-      IF ( IBEG.GT.N )  IBEG = 0
-      IF ( IEND.GT.N )  IEND = 0
+      IF ( IBEG>N )  IBEG = 0
+      IF ( IEND>N )  IEND = 0
 C
 C  SET UP FOR BOUNDARY CONDITIONS.
 C
-      IF ( (IBEG.EQ.1).OR.(IBEG.EQ.2) )  THEN
+      IF ( (IBEG==1).OR.(IBEG==2) )  THEN
          D(1,1) = VC(1)
-      ELSE IF (IBEG .GT. 2)  THEN
+      ELSE IF (IBEG > 2)  THEN
 C        PICK UP FIRST IBEG POINTS, IN REVERSE ORDER.
          DO 10  J = 1, IBEG
@@ -201,16 +201,16 @@
 C           INDEX RUNS FROM IBEG DOWN TO 1.
             XTEMP(J) = X(INDEX)
-            IF (J .LT. IBEG)  STEMP(J) = WK(2,INDEX)
+            IF (J < IBEG)  STEMP(J) = WK(2,INDEX)
    10    CONTINUE
 C                 --------------------------------
          D(1,1) = PCHDF (IBEG, XTEMP, STEMP, IERR)
 C                 --------------------------------
-         IF (IERR .NE. 0)  GO TO 5009
+         IF (IERR /= 0)  GO TO 5009
          IBEG = 1
       ENDIF
 C
-      IF ( (IEND.EQ.1).OR.(IEND.EQ.2) )  THEN
+      IF ( (IEND==1).OR.(IEND==2) )  THEN
          D(1,N) = VC(2)
-      ELSE IF (IEND .GT. 2)  THEN
+      ELSE IF (IEND > 2)  THEN
 C        PICK UP LAST IEND POINTS.
          DO 15  J = 1, IEND
@@ -218,10 +218,10 @@
 C           INDEX RUNS FROM N+1-IEND UP TO N.
             XTEMP(J) = X(INDEX)
-            IF (J .LT. IEND)  STEMP(J) = WK(2,INDEX+1)
+            IF (J < IEND)  STEMP(J) = WK(2,INDEX+1)
    15    CONTINUE
 C                 --------------------------------
          D(1,N) = PCHDF (IEND, XTEMP, STEMP, IERR)
 C                 --------------------------------
-         IF (IERR .NE. 0)  GO TO 5009
+         IF (IERR /= 0)  GO TO 5009
          IEND = 1
       ENDIF
@@ -237,6 +237,6 @@
 C             WK(2,1)*S(1) + WK(1,1)*S(2) = D(1,1)
 C
-      IF (IBEG .EQ. 0)  THEN
-         IF (N .EQ. 2)  THEN
+      IF (IBEG == 0)  THEN
+         IF (N == 2)  THEN
 C           NO CONDITION AT LEFT END AND N = 2.
             WK(2,1) = ONE
@@ -250,5 +250,5 @@
      *                        + WK(1,2)**2*WK(2,3)) / WK(1,1)
          ENDIF
-      ELSE IF (IBEG .EQ. 1)  THEN
+      ELSE IF (IBEG == 1)  THEN
 C        SLOPE PRESCRIBED AT LEFT END.
          WK(2,1) = ONE
@@ -266,7 +266,7 @@
 C
       NM1 = N-1
-      IF (NM1 .GT. 1)  THEN
+      IF (NM1 > 1)  THEN
          DO 20 J=2,NM1
-            IF (WK(2,J-1) .EQ. ZERO)  GO TO 5008
+            IF (WK(2,J-1) == ZERO)  GO TO 5008
             G = -WK(1,J+1)/WK(2,J-1)
             D(1,J) = G*D(1,J-1)
@@ -282,17 +282,17 @@
 C     SUBSTITUTION, SINCE ARRAYS HAPPEN TO BE SET UP JUST RIGHT FOR IT
 C     AT THIS POINT.
-      IF (IEND .EQ. 1)  GO TO 30
-C
-      IF (IEND .EQ. 0)  THEN
-         IF (N.EQ.2 .AND. IBEG.EQ.0)  THEN
+      IF (IEND == 1)  GO TO 30
+C
+      IF (IEND == 0)  THEN
+         IF (N==2 .AND. IBEG==0)  THEN
 C           NOT-A-KNOT AT RIGHT ENDPOINT AND AT LEFT ENDPOINT AND N = 2.
             D(1,2) = WK(2,2)
             GO TO 30
-         ELSE IF ((N.EQ.2) .OR. (N.EQ.3 .AND. IBEG.EQ.0))  THEN
+         ELSE IF ((N==2) .OR. (N==3 .AND. IBEG==0))  THEN
 C           EITHER (N=3 AND NOT-A-KNOT ALSO AT LEFT) OR (N=2 AND *NOT*
 C           NOT-A-KNOT AT LEFT END POINT).
             D(1,N) = TWO*WK(2,N)
             WK(2,N) = ONE
-            IF (WK(2,N-1) .EQ. ZERO)  GO TO 5008
+            IF (WK(2,N-1) == ZERO)  GO TO 5008
             G = -ONE/WK(2,N-1)
          ELSE
@@ -303,5 +303,5 @@
             D(1,N) = ((WK(1,N)+TWO*G)*WK(2,N)*WK(1,N-1)
      *                  + WK(1,N)**2*(F(1,N-1)-F(1,N-2))/WK(1,N-1))/G
-            IF (WK(2,N-1) .EQ. ZERO)  GO TO 5008
+            IF (WK(2,N-1) == ZERO)  GO TO 5008
             G = -G/WK(2,N-1)
             WK(2,N) = WK(1,N-1)
@@ -311,5 +311,5 @@
          D(1,N) = THREE*WK(2,N) + HALF*WK(1,N)*D(1,N)
          WK(2,N) = TWO
-         IF (WK(2,N-1) .EQ. ZERO)  GO TO 5008
+         IF (WK(2,N-1) == ZERO)  GO TO 5008
          G = -ONE/WK(2,N-1)
       ENDIF
@@ -318,5 +318,5 @@
 C
       WK(2,N) = G*WK(1,N-1) + WK(2,N)
-      IF (WK(2,N) .EQ. ZERO)   GO TO 5008
+      IF (WK(2,N) == ZERO)   GO TO 5008
       D(1,N) = (G*D(1,N-1) + D(1,N))/WK(2,N)
 C
@@ -325,5 +325,5 @@
    30 CONTINUE
       DO 40 J=NM1,1,-1
-         IF (WK(2,J) .EQ. ZERO)  GO TO 5008
+         IF (WK(2,J) == ZERO)  GO TO 5008
          D(1,J) = (D(1,J) - WK(1,J)*D(1,J+1))/WK(2,J)
    40 CONTINUE
Index: /LMDZ6/branches/Amaury_dev/libf/misc/q_sat.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/q_sat.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/q_sat.F	(revision 5082)
@@ -52,5 +52,5 @@
 !       write(*,*)'temp,pres=',temp(ip),pres(ip)
 !
-         IF (temp(ip) .LE. rtt) THEN
+         IF (temp(ip) <= rtt) THEN
             r3es = r3ies
             r4es = r4ies
Index: /LMDZ6/branches/Amaury_dev/libf/misc/ran1.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/ran1.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/ran1.F	(revision 5082)
@@ -14,5 +14,5 @@
       INTEGER :: IDUM,J
 
-      IF (IDUM.LT.0.OR.IFF.EQ.0) THEN
+      IF (IDUM<0.OR.IFF==0) THEN
         IFF=1
         IX1=MOD(IC1-IDUM,M1)
@@ -32,5 +32,5 @@
       IX3=MOD(IA3*IX3+IC3,M3)
       J=1+(97*IX3)/M3
-      IF(J.GT.97.OR.J.LT.1) stop 1
+      IF(J>97.OR.J<1) stop 1
       RAN1=R(J)
       R(J)=(REAL(IX1)+REAL(IX2)*RM2)*RM1
Index: /LMDZ6/branches/Amaury_dev/libf/misc/sort.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/sort.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/sort.F	(revision 5082)
@@ -22,5 +22,5 @@
         p=d(i)
         DO j=i+1,n
-         IF(d(j).LE.p) THEN
+         IF(d(j)<=p) THEN
            k=j
            p=d(j)
@@ -28,5 +28,5 @@
         ENDDO
 
-       IF(k.ne.i) THEN
+       IF(k/=i) THEN
          d(k)=d(i)
          d(i)=p
Index: /LMDZ6/branches/Amaury_dev/libf/misc/xermsg.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/xermsg.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/xermsg.F	(revision 5082)
@@ -205,6 +205,6 @@
 C          AND THE LEVEL SHOULD BE BETWEEN 0 AND 2.
 C
-      IF (NERR.LT.-9999999 .OR. NERR.GT.99999999 .OR. NERR.EQ.0 .OR.
-     *   LEVEL.LT.-1 .OR. LEVEL.GT.2) THEN
+      IF (NERR<-9999999 .OR. NERR>99999999 .OR. NERR==0 .OR.
+     *   LEVEL<-1 .OR. LEVEL>2) THEN
          CALL XERPRN (' ***', -1, 'FATAL ERROR IN...$$ ' //
      *      'XERMSG -- INVALID ERROR NUMBER OR LEVEL$$ '//
@@ -222,5 +222,5 @@
 C       HANDLE PRINT-ONCE WARNING MESSAGES.
 C
-      IF (LEVEL.EQ.-1 .AND. KOUNT.GT.1) RETURN
+      IF (LEVEL==-1 .AND. KOUNT>1) RETURN
 C
 C       ALLOW TEMPORARY USER OVERRIDE OF THE CONTROL FLAG.
@@ -239,8 +239,8 @@
 C       ZERO AND THE ERROR IS NOT FATAL.
 C
-      IF (LEVEL.LT.2 .AND. LKNTRL.EQ.0) GO TO 30
-      IF (LEVEL.EQ.0 .AND. KOUNT.GT.MAXMES) GO TO 30
-      IF (LEVEL.EQ.1 .AND. KOUNT.GT.MAXMES .AND. MKNTRL.EQ.1) GO TO 30
-      IF (LEVEL.EQ.2 .AND. KOUNT.GT.MAX(1,MAXMES)) GO TO 30
+      IF (LEVEL<2 .AND. LKNTRL==0) GO TO 30
+      IF (LEVEL==0 .AND. KOUNT>MAXMES) GO TO 30
+      IF (LEVEL==1 .AND. KOUNT>MAXMES .AND. MKNTRL==1) GO TO 30
+      IF (LEVEL==2 .AND. KOUNT>MAX(1,MAXMES)) GO TO 30
 C
 C       ANNOUNCE THE NAMES OF THE LIBRARY AND SUBROUTINE BY BUILDING A
@@ -249,5 +249,5 @@
 C       IS NOT ZERO.
 C
-      IF (LKNTRL .NE. 0) THEN
+      IF (LKNTRL /= 0) THEN
          TEMP(1:21) = 'MESSAGE FROM ROUTINE '
          I = MIN(LEN(SUBROU), 16)
@@ -281,12 +281,12 @@
 C       WE SKIP THE NEXT BLOCK IF THE INTRODUCTORY LINE IS NOT NEEDED.
 C
-      IF (LKNTRL .GT. 0) THEN
+      IF (LKNTRL > 0) THEN
 C
 C       THE FIRST PART OF THE MESSAGE TELLS ABOUT THE LEVEL.
 C
-         IF (LEVEL .LE. 0) THEN
+         IF (LEVEL <= 0) THEN
             TEMP(1:20) = 'INFORMATIVE MESSAGE,'
             LTEMP = 20
-         ELSEIF (LEVEL .EQ. 1) THEN
+         ELSEIF (LEVEL == 1) THEN
             TEMP(1:30) = 'POTENTIALLY RECOVERABLE ERROR,'
             LTEMP = 30
@@ -298,6 +298,6 @@
 C       THEN WHETHER THE PROGRAM WILL CONTINUE.
 C
-         IF ((MKNTRL.EQ.2 .AND. LEVEL.GE.1) .OR.
-     *       (MKNTRL.EQ.1 .AND. LEVEL.EQ.2)) THEN
+         IF ((MKNTRL==2 .AND. LEVEL>=1) .OR.
+     *       (MKNTRL==1 .AND. LEVEL==2)) THEN
             TEMP(LTEMP+1:LTEMP+14) = ' PROG ABORTED,'
             LTEMP = LTEMP + 14
@@ -309,5 +309,5 @@
 C       FINALLY TELL WHETHER THERE SHOULD BE A TRACEBACK.
 C
-         IF (LKNTRL .GT. 0) THEN
+         IF (LKNTRL > 0) THEN
             TEMP(LTEMP+1:LTEMP+20) = ' TRACEBACK REQUESTED'
             LTEMP = LTEMP + 20
@@ -326,8 +326,8 @@
 C          TRACEBACK.
 C
-      IF (LKNTRL .GT. 0) THEN
+      IF (LKNTRL > 0) THEN
          WRITE (TEMP, '(''ERROR NUMBER = '', I8)') NERR
          DO 10 I=16,22
-            IF (TEMP(I:I) .NE. ' ') GO TO 20
+            IF (TEMP(I:I) /= ' ') GO TO 20
    10    CONTINUE
 C
@@ -338,5 +338,5 @@
 C       IF LKNTRL IS NOT ZERO, PRINT A BLANK LINE AND AN END OF MESSAGE.
 C
-      IF (LKNTRL .NE. 0) THEN
+      IF (LKNTRL /= 0) THEN
          CALL XERPRN (' *  ', -1, ' ', 72)
          CALL XERPRN (' ***', -1, 'END OF MESSAGE', 72)
@@ -347,5 +347,5 @@
 C       CONTROL FLAG IS SET FOR RECOVERY, THEN RETURN.
 C
-   30 IF (LEVEL.LE.0 .OR. (LEVEL.EQ.1 .AND. MKNTRL.LE.1)) RETURN
+   30 IF (LEVEL<=0 .OR. (LEVEL==1 .AND. MKNTRL<=1)) RETURN
 C
 C       THE PROGRAM WILL BE STOPPED DUE TO AN UNRECOVERED ERROR OR A
@@ -353,6 +353,6 @@
 C       SUMMARY IF THE CONTROL FLAG AND THE MAXIMUM ERROR COUNT PERMIT.
 C
-      IF (LKNTRL.GT.0 .AND. KOUNT.LT.MAX(1,MAXMES)) THEN
-         IF (LEVEL .EQ. 1) THEN
+      IF (LKNTRL>0 .AND. KOUNT<MAX(1,MAXMES)) THEN
+         IF (LEVEL == 1) THEN
             CALL XERPRN
      *         (' ***', -1, 'JOB ABORT DUE TO UNRECOVERED ERROR.', 72)
Index: /LMDZ6/branches/Amaury_dev/libf/misc/xerprn.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/xerprn.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/xerprn.F	(revision 5082)
@@ -93,5 +93,5 @@
       N = I1MACH(4)
       DO 10 I=1,NUNIT
-         IF (IU(I) .EQ. 0) IU(I) = N
+         IF (IU(I) == 0) IU(I) = N
    10 CONTINUE
 C
@@ -100,5 +100,5 @@
 C       THE REST OF THIS ROUTINE.
 C
-      IF ( NPREF .LT. 0 ) THEN
+      IF ( NPREF < 0 ) THEN
          LPREF = LEN(PREFIX)
       ELSE
@@ -106,5 +106,5 @@
       ENDIF
       LPREF = MIN(16, LPREF)
-      IF (LPREF .NE. 0) CBUFF(1:LPREF) = PREFIX
+      IF (LPREF /= 0) CBUFF(1:LPREF) = PREFIX
 C
 C       LWRAP IS THE MAXIMUM NUMBER OF CHARACTERS WE WANT TO TAKE AT ONE
@@ -118,5 +118,5 @@
       N = LENMSG
       DO 20 I=1,N
-         IF (MESSG(LENMSG:LENMSG) .NE. ' ') GO TO 30
+         IF (MESSG(LENMSG:LENMSG) /= ' ') GO TO 30
          LENMSG = LENMSG - 1
    20 CONTINUE
@@ -125,5 +125,5 @@
 C       IF THE MESSAGE IS ALL BLANKS, THEN PRINT ONE BLANK LINE.
 C
-      IF (LENMSG .EQ. 0) THEN
+      IF (LENMSG == 0) THEN
          CBUFF(LPREF+1:LPREF+1) = ' '
          DO 40 I=1,NUNIT
@@ -172,5 +172,5 @@
       NEXTC = 1
    50 LPIECE = INDEX(MESSG(NEXTC:LENMSG), NEWLIN)
-      IF (LPIECE .EQ. 0) THEN
+      IF (LPIECE == 0) THEN
 C
 C       THERE WAS NO NEW LINE SENTINEL FOUND.
@@ -178,7 +178,7 @@
          IDELTA = 0
          LPIECE = MIN(LWRAP, LENMSG+1-NEXTC)
-         IF (LPIECE .LT. LENMSG+1-NEXTC) THEN
+         IF (LPIECE < LENMSG+1-NEXTC) THEN
             DO 52 I=LPIECE+1,2,-1
-               IF (MESSG(NEXTC+I-1:NEXTC+I-1) .EQ. ' ') THEN
+               IF (MESSG(NEXTC+I-1:NEXTC+I-1) == ' ') THEN
                   LPIECE = I-1
                   IDELTA = 1
@@ -189,5 +189,5 @@
    54    CBUFF(LPREF+1:LPREF+LPIECE) = MESSG(NEXTC:NEXTC+LPIECE-1)
          NEXTC = NEXTC + LPIECE + IDELTA
-      ELSEIF (LPIECE .EQ. 1) THEN
+      ELSEIF (LPIECE == 1) THEN
 C
 C       WE HAVE A NEW LINE SENTINEL AT MESSG(NEXTC:NEXTC+1).
@@ -196,5 +196,5 @@
          NEXTC = NEXTC + 2
          GO TO 50
-      ELSEIF (LPIECE .GT. LWRAP+1) THEN
+      ELSEIF (LPIECE > LWRAP+1) THEN
 C
 C       LPIECE SHOULD BE SET DOWN TO LWRAP.
@@ -203,5 +203,5 @@
          LPIECE = LWRAP
          DO 56 I=LPIECE+1,2,-1
-            IF (MESSG(NEXTC+I-1:NEXTC+I-1) .EQ. ' ') THEN
+            IF (MESSG(NEXTC+I-1:NEXTC+I-1) == ' ') THEN
                LPIECE = I-1
                IDELTA = 1
@@ -227,5 +227,5 @@
    60 CONTINUE
 C
-      IF (NEXTC .LE. LENMSG) GO TO 50
+      IF (NEXTC <= LENMSG) GO TO 50
       RETURN
       END
Index: /LMDZ6/branches/Amaury_dev/libf/misc/xersve.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/xersve.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/xersve.F	(revision 5082)
@@ -72,9 +72,9 @@
 C***FIRST EXECUTABLE STATEMENT  XERSVE
 C
-      IF (KFLAG.LE.0) THEN
+      IF (KFLAG<=0) THEN
 C
 C        Dump the table.
 C
-         IF (NMSG.EQ.0) RETURN
+         IF (NMSG==0) RETURN
 C
 C        Print to each unit.
@@ -83,5 +83,5 @@
          DO 20 KUNIT = 1,NUNIT
             IUNIT = LUN(KUNIT)
-            IF (IUNIT.EQ.0) IUNIT = I1MACH(4)
+            IF (IUNIT==0) IUNIT = I1MACH(4)
 C
 C           Print the table header.
@@ -98,5 +98,5 @@
 C           Print number of other errors.
 C
-            IF (KOUNTX.NE.0) WRITE (IUNIT,9020) KOUNTX
+            IF (KOUNTX/=0) WRITE (IUNIT,9020) KOUNTX
             WRITE (IUNIT,9030)
    20    CONTINUE
@@ -104,5 +104,5 @@
 C        Clear the error tables.
 C
-         IF (KFLAG.EQ.0) THEN
+         IF (KFLAG==0) THEN
             NMSG = 0
             KOUNTX = 0
@@ -118,7 +118,7 @@
          MES = MESSG
          DO 30 I = 1,NMSG
-            IF (LIB.EQ.LIBTAB(I) .AND. SUB.EQ.SUBTAB(I) .AND.
-     *         MES.EQ.MESTAB(I) .AND. NERR.EQ.NERTAB(I) .AND.
-     *         LEVEL.EQ.LEVTAB(I)) THEN
+            IF (LIB==LIBTAB(I) .AND. SUB==SUBTAB(I) .AND.
+     *         MES==MESTAB(I) .AND. NERR==NERTAB(I) .AND.
+     *         LEVEL==LEVTAB(I)) THEN
                   KOUNT(I) = KOUNT(I) + 1
                   ICOUNT = KOUNT(I)
@@ -127,5 +127,5 @@
    30    CONTINUE
 C
-         IF (NMSG.LT.LENTAB) THEN
+         IF (NMSG<LENTAB) THEN
 C
 C           Empty slot found for new message.
Index: /LMDZ6/branches/Amaury_dev/libf/misc/xgetua.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/xgetua.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/xgetua.F	(revision 5082)
@@ -47,5 +47,5 @@
       DO 30 I=1,N
          INDEX = I+4
-         IF (I.EQ.1) INDEX = 3
+         IF (I==1) INDEX = 3
          IUNITA(I) = J4SAVE(INDEX,0,.FALSE.)
    30 CONTINUE
Index: /LMDZ6/branches/Amaury_dev/libf/obsolete/mkstat.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/obsolete/mkstat.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/obsolete/mkstat.F90	(revision 5082)
@@ -127,5 +127,5 @@
       enddo
 
-    else if (ndims.eq.3) then
+    else if (ndims==3) then
 
 !      dimout(1)=lonid
Index: /LMDZ6/branches/Amaury_dev/libf/obsolete/wstats.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/obsolete/wstats.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/obsolete/wstats.F90	(revision 5082)
@@ -37,5 +37,5 @@
 endif
 
-if (mod(step,istats).ne.0) then
+if (mod(step,istats)/=0) then
    RETURN
 endif
@@ -46,5 +46,5 @@
 ierr= NF_INQ_VARID(nid,namebis,meanid)
 
-if (ierr.ne.NF_NOERR) then
+if (ierr/=NF_NOERR) then
 
    if (firstvar==nom) then 
@@ -59,5 +59,5 @@
    ierr= NF_INQ_DIMID(nid,"longitude",id(1))
    ierr= NF_INQ_DIMID(nid,"latitude",id(2))
-   if (dim.eq.3) then
+   if (dim==3) then
       ierr= NF_INQ_DIMID(nid,"altitude",id(3))
       ierr= NF_INQ_DIMID(nid,"Time",id(4))
@@ -95,10 +95,10 @@
 
 if (count(index)==0) then
-   if (dim.eq.3) then
+   if (dim==3) then
       start=(/1,1,1,index/)
       size=(/iip1,jjp1,llm,1/)
       mean3d=0
       sd3d=0
-   else if (dim.eq.2) then
+   else if (dim==2) then
       start=(/1,1,index,0/)
       size=(/iip1,jjp1,1,0/)
@@ -107,5 +107,5 @@
    endif
 else
-   if (dim.eq.3) then
+   if (dim==3) then
       start=(/1,1,1,index/)
       size=(/iip1,jjp1,llm,1/)
@@ -117,10 +117,10 @@
       ierr = NF_GET_VARA_REAL(nid,sdid,start,size,sd3d)
 #endif
-      if (ierr.ne.NF_NOERR) then
+      if (ierr/=NF_NOERR) then
          write (*,*) NF_STRERROR(ierr)
          stop ""
       endif
 
-   else if (dim.eq.2) then
+   else if (dim==2) then
       start=(/1,1,index,0/)
       size=(/iip1,jjp1,1,0/)
@@ -132,5 +132,5 @@
       ierr = NF_GET_VARA_REAL(nid,sdid,start,size,sd2d)
 #endif
-      if (ierr.ne.NF_NOERR) then
+      if (ierr/=NF_NOERR) then
          write (*,*) NF_STRERROR(ierr)
          stop ""
@@ -139,5 +139,5 @@
 endif
 
-if (dim.eq.3) then
+if (dim==3) then
 
 !  Passage variable physique -->  variable dynamique
@@ -167,10 +167,10 @@
    ierr = NF_PUT_VARA_REAL(nid,sdid,start,size,sd3d)
 #endif
-   if (ierr.ne.NF_NOERR) then
+   if (ierr/=NF_NOERR) then
      write (*,*) NF_STRERROR(ierr)
      stop ""
    endif
 
-else if (dim.eq.2) then
+else if (dim==2) then
 
 !    Passage variable physique -->  physique dynamique
@@ -198,5 +198,5 @@
    ierr = NF_PUT_VARA_REAL(nid,sdid,start,size,sd2d)
 #endif
-   if (ierr.ne.NF_NOERR) then
+   if (ierr/=NF_NOERR) then
      write (*,*) NF_STRERROR(ierr)
      stop ""
@@ -230,5 +230,5 @@
 real, dimension(iip1,jjp1) :: dx2
 
-if (dim.eq.3) then
+if (dim==3) then
 
    start=(/1,1,1,index/)
@@ -257,5 +257,5 @@
 #endif
 
-else if (dim.eq.2) then
+else if (dim==2) then
 
       start=(/1,1,index,0/)
Index: /LMDZ6/branches/Amaury_dev/libf/phy_common/abort_physic.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phy_common/abort_physic.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phy_common/abort_physic.F90	(revision 5082)
@@ -36,5 +36,5 @@
       write(lunout,*) 'Stopping in ', modname
       write(lunout,*) 'Reason = ',message
-      if (ierr .eq. 0) then
+      if (ierr == 0) then
         write(lunout,*) 'Everything is cool'
         if (using_mpi) then
Index: /LMDZ6/branches/Amaury_dev/libf/phy_common/mod_phys_lmdz_mpi_data.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phy_common/mod_phys_lmdz_mpi_data.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phy_common/mod_phys_lmdz_mpi_data.F90	(revision 5082)
@@ -65,5 +65,5 @@
     is_using_mpi = using_mpi
     
-    if ((nbp_lon.eq.1).and.(nbp_lat.eq.1)) then ! running 1D column model
+    if ((nbp_lon==1).and.(nbp_lat==1)) then ! running 1D column model
        klon_glo=1
     else
Index: /LMDZ6/branches/Amaury_dev/libf/phy_common/print_control_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phy_common/print_control_mod.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phy_common/print_control_mod.F90	(revision 5082)
@@ -44,5 +44,5 @@
 
     IF ( alert_first_call) then
-       IF ( alarm_file .ne. lunout ) THEN
+       IF ( alarm_file /= lunout ) THEN
           OPEN(unit = alarm_file, file = "ALERTES.txt")
        ENDIF
Index: /LMDZ6/branches/Amaury_dev/libf/phydev/iophy.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phydev/iophy.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phydev/iophy.F90	(revision 5082)
@@ -243,6 +243,6 @@
       DO ip=1, npstn
 !     print*,'histwrite2d is_sequential npstn ip name nptabij',npstn,ip,name,nptabij(ip)
-       IF(nptabij(ip).GE.klon_mpi_begin.AND. &
-          nptabij(ip).LE.klon_mpi_end) THEN
+       IF(nptabij(ip)>=klon_mpi_begin.AND. &
+          nptabij(ip)<=klon_mpi_end) THEN
          fieldok(ip)=buffer_omp(nptabij(ip)-klon_mpi_begin+1)
        ENDIF
@@ -305,6 +305,6 @@
        DO n=1, nlev
        DO ip=1, npstn
-        IF(nptabij(ip).GE.klon_mpi_begin.AND. &
-         nptabij(ip).LE.klon_mpi_end) THEN
+        IF(nptabij(ip)>=klon_mpi_begin.AND. &
+         nptabij(ip)<=klon_mpi_end) THEN
          fieldok(ip,n)=buffer_omp(nptabij(ip)-klon_mpi_begin+1,n)
         ENDIF
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/aeropt_spl.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/aeropt_spl.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/aeropt_spl.F	(revision 5082)
@@ -130,6 +130,6 @@
       rh=MIN(RHcl(i,k)*100.,RH_MAX)
       RH_num = INT( rh/10. + 1.)
-      IF (rh.gt.85.) RH_num=10
-      IF (rh.gt.90.) RH_num=11
+      IF (rh>85.) RH_num=10
+      IF (rh>90.) RH_num=11
 c      IF (rh.gt.40.) THEN 
 c          RH_num=5   ! Added by NHL temporarily
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/checknanqfi.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/checknanqfi.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/checknanqfi.F90	(revision 5082)
@@ -21,5 +21,5 @@
         ENDIF
      ENDDO
-     IF (jbad.GT.0) THEN
+     IF (jbad>0) THEN
         WRITE(*,*)comment
         DO i = 1, jbad
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/coarsemission.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/coarsemission.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/coarsemission.F	(revision 5082)
@@ -197,5 +197,5 @@
       
       DO i=1,klon   
-         if (maskd(i).gt.0) then 
+         if (maskd(i)>0) then
       IF(id_fine>0)    source_tr(i,id_fine)=
      . scale_param_dustacc(iregion_dust(i))*
